{
    "doc": "Record for tiered variant injection as part of the data intake for CVA",
    "fields": [
        {
            "doc": "Metadata on the report events in the clinical report",
            "name": "metadata",
            "type": {
                "doc": "Metadata about injected data",
                "fields": [
                    {
                        "doc": "Report avro models version",
                        "name": "reportModelVersion",
                        "type": "string"
                    },
                    {
                        "doc": "The entity identifier",
                        "name": "id",
                        "type": "string"
                    },
                    {
                        "doc": "The entity version. This is a correlative number being the highest value the latest version.",
                        "name": "version",
                        "type": "int"
                    },
                    {
                        "doc": "The case identifier",
                        "name": "caseId",
                        "type": "string"
                    },
                    {
                        "doc": "The case version. This is a correlative number being the highest value the latest version.",
                        "name": "caseVersion",
                        "type": "int"
                    },
                    {
                        "doc": "The family identifier",
                        "name": "groupId",
                        "type": "string"
                    },
                    {
                        "doc": "The cohort identifier (the same family can have several cohorts)",
                        "name": "cohortId",
                        "type": "string"
                    },
                    {
                        "doc": "The author of the ReportedVariant, either tiering, exomiser, a given cip (e.g.: omicia) or a given GMCs user name",
                        "name": "author",
                        "type": "string"
                    },
                    {
                        "doc": "The author version of the ReportedVariant, either tiering, exomiser or a given cip. Only applicable for automated processes.",
                        "name": "authorVersion",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "The assembly to which the variants refer",
                        "name": "assembly",
                        "type": [
                            "null",
                            {
                                "doc": "The reference genome assembly",
                                "name": "Assembly",
                                "namespace": "org.gel.models.report.avro",
                                "symbols": [
                                    "GRCh38",
                                    "GRCh37"
                                ],
                                "type": "enum"
                            }
                        ]
                    },
                    {
                        "doc": "The 100K Genomes program to which the reported variant belongs.",
                        "name": "program",
                        "type": {
                            "doc": "The Genomics England program",
                            "name": "Program",
                            "namespace": "org.gel.models.report.avro",
                            "symbols": [
                                "cancer",
                                "rare_disease"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "The category to which the case belongs.",
                        "name": "category",
                        "type": {
                            "name": "Category",
                            "symbols": [
                                "HundredK",
                                "NGIS"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "The creation date of the case (ISO-8601)",
                        "name": "caseCreationDate",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "The last modified date of the case (ISO-8601)",
                        "name": "caseLastModifiedDate",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "The organisation responsible for this payload (Pedigree and CancerParticipant will correspond to the case\nowner and the ClinicalReport will correspond to the case assignee)",
                        "name": "organisation",
                        "type": [
                            "null",
                            {
                                "doc": "An organisation which may own or be assigned to a case",
                                "fields": [
                                    {
                                        "doc": "ODS code",
                                        "name": "ods",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "The GMC name",
                                        "name": "gmc",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    },
                                    {
                                        "doc": "The site name",
                                        "name": "site",
                                        "type": [
                                            "null",
                                            "string"
                                        ]
                                    }
                                ],
                                "name": "Organisation",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "The NGIS organisation responsible for this payload",
                        "name": "organisationNgis",
                        "type": [
                            "null",
                            {
                                "fields": [
                                    {
                                        "doc": "Organisation Id",
                                        "name": "organisationId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Ods code",
                                        "name": "organisationCode",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "Organisation Name",
                                        "name": "organisationName",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "National Grouping (GLH) Id",
                                        "name": "organisationNationalGroupingId",
                                        "type": "string"
                                    },
                                    {
                                        "doc": "National Grouping (GLH) Name",
                                        "name": "organisationNationalGroupingName",
                                        "type": "string"
                                    }
                                ],
                                "name": "OrganisationNgis",
                                "namespace": "org.gel.models.participant.avro",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "Test unique identifier (only sent for NGIS cases)",
                        "name": "referralTestId",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "Referral unique identifier (only sent for NGIS cases)",
                        "name": "referralId",
                        "type": [
                            "null",
                            "string"
                        ]
                    }
                ],
                "name": "InjectionMetadata",
                "type": "record"
            }
        },
        {
            "doc": "The information on the cancer participant",
            "name": "participant",
            "type": {
                "doc": "This defines a Cancer Participant",
                "fields": [
                    {
                        "doc": "Year of birth for the cancer participant",
                        "name": "yearOfBirth",
                        "type": [
                            "null",
                            "int"
                        ]
                    },
                    {
                        "doc": "Morphology of any tumours\nNOTE: In GMS, this field is deprecated as morphology will be in sample or with respect to a tumour record",
                        "name": "morphology",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Flag indicating if the participant is ready for analysis\nNOTE: In GMS, this will default to true",
                        "name": "readyForAnalysis",
                        "type": "boolean"
                    },
                    {
                        "doc": "What has this participant consented to?\nA participant that has been consented to the programme should also have sequence data associated with them; however\nthis needs to be programmatically checked",
                        "name": "consentStatus",
                        "type": [
                            "null",
                            {
                                "doc": "Consent Status for 100k program",
                                "fields": [
                                    {
                                        "default": false,
                                        "doc": "Is this individual consented to the programme?\nIt could simply be a family member that is not consented but for whom affection status is known",
                                        "name": "programmeConsent",
                                        "type": "boolean"
                                    },
                                    {
                                        "default": false,
                                        "doc": "Consent for feedback of primary findings?",
                                        "name": "primaryFindingConsent",
                                        "type": "boolean"
                                    },
                                    {
                                        "default": false,
                                        "doc": "Consent for secondary finding lookup",
                                        "name": "secondaryFindingConsent",
                                        "type": "boolean"
                                    },
                                    {
                                        "default": false,
                                        "doc": "Consent for carrier status check?",
                                        "name": "carrierStatusConsent",
                                        "type": "boolean"
                                    }
                                ],
                                "name": "ConsentStatus",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "What has this participant consented in the context of a Genomic Test?",
                        "name": "testConsentStatus",
                        "type": [
                            "null",
                            {
                                "doc": "Consent Status for GMS",
                                "fields": [
                                    {
                                        "doc": "Is this individual consented to the programme? It could simply be a family member that is not consented\nbut for whom affection status is known",
                                        "name": "programmeConsent",
                                        "type": {
                                            "doc": "clinicalEthnicities supersedes Ancestries in GMS",
                                            "name": "GenericConsent",
                                            "symbols": [
                                                "yes",
                                                "no",
                                                "undefined",
                                                "not_applicable"
                                            ],
                                            "type": "enum"
                                        }
                                    },
                                    {
                                        "doc": "Consent for feedback of primary findings?\nRD: Primary Findings\nCancer: PrimaryFindings is somatic + pertinent germline findings",
                                        "name": "primaryFindingConsent",
                                        "type": "GenericConsent"
                                    },
                                    {
                                        "doc": "Research Consent",
                                        "name": "researchConsent",
                                        "type": "GenericConsent"
                                    },
                                    {
                                        "doc": "Consent for secondary health related findings?",
                                        "name": "healthRelatedFindingConsent",
                                        "type": "GenericConsent"
                                    },
                                    {
                                        "doc": "Consent for carrier status check?",
                                        "name": "carrierStatusConsent",
                                        "type": "GenericConsent"
                                    },
                                    {
                                        "doc": "Consent for pharmacogenomics consent as secondary findings?",
                                        "name": "pharmacogenomicsFindingConsent",
                                        "type": "GenericConsent"
                                    }
                                ],
                                "name": "GmsConsentStatus",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "Center\nNOTE: In GMS, this will be taken from the ReferralTest and duplicated here",
                        "name": "center",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "Individual identifier",
                        "name": "individualId",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "This is a human readable participant ID",
                        "name": "participantId",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "This should be an enumeration when it is well defined\nblood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, saliva //for individual - there could be more than I have listed here, in fact there definitely will.\nIn GMS, this field is deprecated",
                        "name": "primaryDiagnosisDisease",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "This should be an enumeration when it is well defined\nblood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, saliva //for individual - there could be more than I have listed here, in fact there definitely will.\nIn GMS, this field is deprecated",
                        "name": "primaryDiagnosisSubDisease",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Sex",
                        "name": "sex",
                        "type": {
                            "doc": "Sex",
                            "name": "Sex",
                            "symbols": [
                                "MALE",
                                "FEMALE",
                                "UNKNOWN"
                            ],
                            "type": "enum"
                        }
                    },
                    {
                        "doc": "We could add a map here to store additional information for example URIs to images, ECGs, etc",
                        "name": "additionalInformation",
                        "type": [
                            "null",
                            {
                                "type": "map",
                                "values": "string"
                            }
                        ]
                    },
                    {
                        "doc": "assigned ICD10 code\nIN GMS, this is deprecated",
                        "name": "assignedICD10",
                        "type": [
                            "null",
                            {
                                "items": "string",
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "List of tumour samples\nIN GMS, this is deprecated and moved to ReferralTest",
                        "name": "tumourSamples",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "A tumour sample",
                                    "fields": [
                                        {
                                            "doc": "Sample identifier (e.g, LP00012645_5GH))",
                                            "name": "sampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Lab sample identifier",
                                            "name": "labSampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "LDP Code (Local Delivery Partner)",
                                            "name": "LDPCode",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "This is the ID of the tumour from which this tumour sample was taken from",
                                            "name": "tumourId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Genomics England programme phase",
                                            "name": "programmePhase",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Disease type.\nNOTE: Deprecated in GMS",
                                            "name": "diseaseType",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "diseaseType",
                                                    "symbols": [
                                                        "ADULT_GLIOMA",
                                                        "BLADDER",
                                                        "BREAST",
                                                        "CARCINOMA_OF_UNKNOWN_PRIMARY",
                                                        "CHILDHOOD",
                                                        "COLORECTAL",
                                                        "ENDOCRINE",
                                                        "ENDOMETRIAL_CARCINOMA",
                                                        "HAEMONC",
                                                        "HEPATOPANCREATOBILIARY",
                                                        "LUNG",
                                                        "MALIGNANT_MELANOMA",
                                                        "NASOPHARYNGEAL",
                                                        "ORAL_OROPHARYNGEAL",
                                                        "OVARIAN",
                                                        "PROSTATE",
                                                        "RENAL",
                                                        "SARCOMA",
                                                        "SINONASAL",
                                                        "TESTICULAR_GERM_CELL_TUMOURS",
                                                        "UPPER_GASTROINTESTINAL",
                                                        "OTHER",
                                                        "NON_HODGKINS_B_CELL_LYMPHOMA_LOW_MOD_GRADE",
                                                        "CLASSICAL_HODGKINS",
                                                        "NODULAR_LYMPHOCYTE_PREDOMINANT_HODGKINS",
                                                        "T_CELL_LYMPHOMA"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Disease subtype.\nNOTE: Deprecated in GMS",
                                            "name": "diseaseSubType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "True or false if this sample is of type: Haematological Cancer",
                                            "name": "haematologicalCancer",
                                            "type": [
                                                "null",
                                                "boolean"
                                            ]
                                        },
                                        {
                                            "doc": "This is the Haematological cancer lineage of the tumourSample if this sample is from a haematological cancer",
                                            "name": "haematologicalCancerLineage",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "HaematologicalCancerLineage",
                                                    "symbols": [
                                                        "MYELOID",
                                                        "LYMPHOID",
                                                        "UNKNOWN"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The time when the sample was received. In the format YYYY-MM-DDTHH:MM:SS+0000",
                                            "name": "clinicalSampleDateTime",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumor type.\nNOTE: Deprecated in GMS in tumourSample but available in tumour record",
                                            "name": "tumourType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "This is the tumour content",
                                            "name": "tumourContent",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "TumourContent",
                                                    "symbols": [
                                                        "High",
                                                        "Medium",
                                                        "Low"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "This is the tumour content percentage",
                                            "name": "tumourContentPercentage",
                                            "type": [
                                                "null",
                                                "float"
                                            ]
                                        },
                                        {
                                            "doc": "Source of the sample",
                                            "name": "source",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "The source of the sample\nNOTE: IN GMS, BONE_MARROW_ASPIRATE_TUMOUR_CELLS and BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS are deprecated as they have been separated into their respective biotypes",
                                                    "name": "SampleSource",
                                                    "symbols": [
                                                        "AMNIOTIC_FLUID",
                                                        "BLOOD",
                                                        "BLOOD_CAPILLARY_HEEL_PRICK",
                                                        "BLOOD_CLOT",
                                                        "BLOOD_CORD",
                                                        "BLOOD_DRIED_BLOOD_SPOT",
                                                        "BONE_MARROW",
                                                        "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                                                        "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                                                        "BUCCAL_SPONGE",
                                                        "BUCCAL_SWAB",
                                                        "BUFFY_COAT",
                                                        "CHORIONIC_VILLUS_SAMPLE",
                                                        "FIBROBLAST",
                                                        "FLUID",
                                                        "FRESH_TISSUE_IN_CULTURE_MEDIUM",
                                                        "OTHER",
                                                        "SALIVA",
                                                        "TISSUE",
                                                        "TUMOUR",
                                                        "URINE"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The preparation method of the sample\nNOTE: Deprecated in GMS in replace of Method and storageMedium record",
                                            "name": "preparationMethod",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "In 100K, preparation Method of sample\nNOTE: In GMS, this field is deprecated in favour of StorageMedium and Method",
                                                    "name": "PreparationMethod",
                                                    "symbols": [
                                                        "ASPIRATE",
                                                        "CD128_SORTED_CELLS",
                                                        "CD138_SORTED_CELLS",
                                                        "EDTA",
                                                        "FF",
                                                        "FFPE",
                                                        "LI_HEP",
                                                        "ORAGENE"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The tissue source of the sample.\nNOTE: DEPRECATED IN GMS in replace of method record",
                                            "name": "tissueSource",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Product of the sample",
                                            "name": "product",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "Product",
                                                    "symbols": [
                                                        "DNA",
                                                        "RNA"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Morphology according to the sample taken",
                                            "name": "sampleMorphologies",
                                            "type": [
                                                "null",
                                                {
                                                    "items": {
                                                        "fields": [
                                                            {
                                                                "doc": "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)",
                                                                "name": "id",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "The ontology term name",
                                                                "name": "name",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "Optional value for the ontology term, the type of the value is not checked\n(i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")",
                                                                "name": "value",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "Ontology version",
                                                                "name": "version",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            }
                                                        ],
                                                        "name": "Morphology",
                                                        "type": "record"
                                                    },
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Topography according to the sample taken",
                                            "name": "sampleTopographies",
                                            "type": [
                                                "null",
                                                {
                                                    "items": {
                                                        "fields": [
                                                            {
                                                                "doc": "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)",
                                                                "name": "id",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "The ontology term name",
                                                                "name": "name",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "Optional value for the ontology term, the type of the value is not checked\n(i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")",
                                                                "name": "value",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            },
                                                            {
                                                                "doc": "Ontology version",
                                                                "name": "version",
                                                                "type": [
                                                                    "null",
                                                                    "string"
                                                                ]
                                                            }
                                                        ],
                                                        "name": "Topography",
                                                        "type": "record"
                                                    },
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the GUID of the sample",
                                            "name": "sampleUid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Participant Id of the sample",
                                            "name": "participantId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Participant UId of the sample",
                                            "name": "participantUid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the maskedPID",
                                            "name": "maskedPid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is how the sample was extracted from the participant",
                                            "name": "method",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "In GMS, Method is defined as how the sample was taken directly from the patient",
                                                    "name": "Method",
                                                    "symbols": [
                                                        "ASPIRATE",
                                                        "BIOPSY",
                                                        "NOT_APPLICABLE",
                                                        "RESECTION",
                                                        "SORTED_OTHER",
                                                        "UNKNOWN",
                                                        "UNSORTED",
                                                        "CD138_SORTED"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is what solvent/medium the sample was stored in",
                                            "name": "storageMedium",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "In GMS, storage medium of sample",
                                                    "name": "StorageMedium",
                                                    "symbols": [
                                                        "EDTA",
                                                        "FF",
                                                        "LI_HEP",
                                                        "ORAGENE",
                                                        "FFPE",
                                                        "PAXGENE",
                                                        "RNALater"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the sampleType as entered by the clinician in TOMs",
                                            "name": "sampleType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the sampleState as entered by the clinician in TOMs",
                                            "name": "sampleState",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "TumourSample",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "List of germline samples\nIN GMS, this is deprecated and moved to ReferralTest",
                        "name": "germlineSamples",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "A germline sample",
                                    "fields": [
                                        {
                                            "doc": "Sample identifier (e.g, LP00012645_5GH))",
                                            "name": "sampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Lab sample identifier",
                                            "name": "labSampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "LDP Code (Local Delivery Partner)",
                                            "name": "LDPCode",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Source of the sample",
                                            "name": "source",
                                            "type": [
                                                "null",
                                                "SampleSource"
                                            ]
                                        },
                                        {
                                            "doc": "Product of the sample",
                                            "name": "product",
                                            "type": [
                                                "null",
                                                "Product"
                                            ]
                                        },
                                        {
                                            "doc": "Preparation method\nNOTE: In GMS, this has been deprecated in favour of Method and storageMedium",
                                            "name": "preparationMethod",
                                            "type": [
                                                "null",
                                                "PreparationMethod"
                                            ]
                                        },
                                        {
                                            "doc": "Genomics England programme phase",
                                            "name": "programmePhase",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "ProgrammePhase",
                                                    "symbols": [
                                                        "CRUK",
                                                        "OXFORD",
                                                        "CLL",
                                                        "IIP",
                                                        "MAIN",
                                                        "EXPT"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The time when the sample was received. In the format YYYY-MM-DDTHH:MM:SS+0000",
                                            "name": "clinicalSampleDateTime",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "participantId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Participant UId of the sample",
                                            "name": "participantUid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "sampleUid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "maskedPid",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is how the sample was extracted from the participant",
                                            "name": "method",
                                            "type": [
                                                "null",
                                                "Method"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is what solvent/medium the sample was stored in",
                                            "name": "storageMedium",
                                            "type": [
                                                "null",
                                                "StorageMedium"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the sampleType as entered by the clinician in TOMs",
                                            "name": "sampleType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, this is the sampleState as entered by the clinician in TOMs",
                                            "name": "sampleState",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In Newborns BaMMs, this is operational sample collection questions",
                                            "name": "sampleCollectionOperationsQuestions",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "Operations questions on sample collection for Newborns BaMMs",
                                                    "fields": [
                                                        {
                                                            "doc": "Ease of successful sample collection",
                                                            "name": "easeOfSampleCollection",
                                                            "type": [
                                                                "null",
                                                                {
                                                                    "doc": "Ease of Sample Collection",
                                                                    "name": "EaseOfSampleCollection",
                                                                    "symbols": [
                                                                        "EASY",
                                                                        "DIFFICULT",
                                                                        "NOT_APPLICABLE"
                                                                    ],
                                                                    "type": "enum"
                                                                }
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Time taken to collect the sample (from opening collection kit to completion) in minutes",
                                                            "name": "minutes",
                                                            "type": [
                                                                "null",
                                                                "int"
                                                            ]
                                                        }
                                                    ],
                                                    "name": "SampleCollectionOperationsQuestions",
                                                    "type": "record"
                                                }
                                            ]
                                        }
                                    ],
                                    "name": "GermlineSample",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "Model version number",
                        "name": "versionControl",
                        "type": [
                            "null",
                            {
                                "fields": [
                                    {
                                        "default": "1.5.0",
                                        "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                                        "name": "GitVersionControl",
                                        "type": "string"
                                    }
                                ],
                                "name": "VersionControl",
                                "type": "record"
                            }
                        ]
                    },
                    {
                        "doc": "Individual UID in GMS",
                        "name": "participantUid",
                        "type": [
                            "null",
                            "string"
                        ]
                    },
                    {
                        "doc": "In GMS, for all tumours for the CancerParticipant, independent of any samples",
                        "name": "tumours",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "fields": [
                                        {
                                            "doc": "TumourId in GMS",
                                            "name": "tumourId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Local hospital tumour ID from the GLH Laboratory Information Management System (LIMS) in GMS",
                                            "name": "tumourLocalId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "tumourType",
                                            "name": "tumourType",
                                            "type": {
                                                "doc": "NOTE: This has been changed completely, the previous tumour type has been split into TumourPresentation and PrimaryOrMetastatic",
                                                "name": "TumourType",
                                                "symbols": [
                                                    "BRAIN_TUMOUR",
                                                    "HAEMATOLOGICAL_MALIGNANCY_SOLID_SAMPLE",
                                                    "HAEMATOLOGICAL_MALIGNANCY_LIQUID_SAMPLE",
                                                    "SOLID_TUMOUR_METASTATIC",
                                                    "SOLID_TUMOUR_PRIMARY",
                                                    "SOLID_TUMOUR",
                                                    "UNKNOWN"
                                                ],
                                                "type": "enum"
                                            }
                                        },
                                        {
                                            "doc": "Parent Tumour UID if this tumour is metastatic",
                                            "name": "tumourParentId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Date of Diagnosis of the specific tumour",
                                            "name": "tumourDiagnosisDate",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "This defines a date record",
                                                    "fields": [
                                                        {
                                                            "doc": "Format YYYY",
                                                            "name": "year",
                                                            "type": "int"
                                                        },
                                                        {
                                                            "doc": "Format MM. e.g June is 06",
                                                            "name": "month",
                                                            "type": [
                                                                "null",
                                                                "int"
                                                            ]
                                                        },
                                                        {
                                                            "doc": "Format DD e.g. 12th of October is 12",
                                                            "name": "day",
                                                            "type": [
                                                                "null",
                                                                "int"
                                                            ]
                                                        }
                                                    ],
                                                    "name": "Date",
                                                    "type": "record"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Description of the tumour",
                                            "name": "tumourDescription",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Morphology of the tumour",
                                            "name": "tumourMorphologies",
                                            "type": [
                                                "null",
                                                {
                                                    "items": "Morphology",
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Topography of the tumour",
                                            "name": "tumourTopographies",
                                            "type": [
                                                "null",
                                                {
                                                    "items": "Topography",
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Associated primary topography for metastatic tumours",
                                            "name": "tumourPrimaryTopographies",
                                            "type": [
                                                "null",
                                                {
                                                    "items": "Topography",
                                                    "type": "array"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Grade of the Tumour",
                                            "name": "tumourGrade",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Stage of the Tumour",
                                            "name": "tumourStage",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Prognostic Score of the Tumour",
                                            "name": "tumourPrognosticScore",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, tumour presentation",
                                            "name": "tumourPresentation",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "TumourPresentation",
                                                    "symbols": [
                                                        "FIRST_PRESENTATION",
                                                        "RECURRENCE",
                                                        "UNKNOWN"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "In GMS, primary or metastatic",
                                            "name": "primaryOrMetastatic",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "PrimaryOrMetastatic",
                                                    "symbols": [
                                                        "PRIMARY",
                                                        "METASTATIC",
                                                        "UNKNOWN",
                                                        "NOT_APPLICABLE"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        }
                                    ],
                                    "name": "Tumour",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    },
                    {
                        "doc": "In GMS, any previous treatment recorded in TOMs",
                        "name": "previousTreatment",
                        "type": [
                            "null",
                            {
                                "items": {
                                    "doc": "In GMS, Previous Treatment of Patient",
                                    "fields": [
                                        {
                                            "name": "previousTreatmentType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "previousTreatmentName",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "name": "previousTreatmentDate",
                                            "type": [
                                                "null",
                                                "Date"
                                            ]
                                        }
                                    ],
                                    "name": "PreviousTreatment",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        ]
                    }
                ],
                "name": "CancerParticipant",
                "namespace": "org.gel.models.participant.avro",
                "type": "record"
            }
        }
    ],
    "name": "CancerParticipantInject",
    "namespace": "org.gel.models.cva.avro",
    "type": "record"
}